Improve "No internet connection!" error message
ClosedPublic

Authored by ngraham on Dec 15 2018, 6:30 AM.

Details

Summary

Old message was a bit unclear. Hopefully this is better. Added an icon too to help get the message across, and because icons are pretty. :)

CCBUG: 401959

Test Plan

Disable internet connection and launch Discover:

Diff Detail

Repository
R134 Discover Software Store
Branch
better-no-connectivity-error-message (branched from master)
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6051
Build 6069: arc lint + arc unit
ngraham created this revision.Dec 15 2018, 6:30 AM
Restricted Application added a project: Plasma. · View Herald TranscriptDec 15 2018, 6:30 AM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
ngraham requested review of this revision.Dec 15 2018, 6:30 AM
ngraham edited the summary of this revision. (Show Details)Dec 15 2018, 6:31 AM
ngraham edited the test plan for this revision. (Show Details)
ngraham edited the summary of this revision. (Show Details)
pino added a subscriber: pino.Dec 15 2018, 7:53 AM

The error message is still not optimal (contractions, not correct spelling of "the Internet", etc).
"Could not load any application; please verify your network connectivity."

apol added a comment.Dec 15 2018, 12:37 PM

I wonder if "app" is the right term. How about "could not load the featured applications"?

ngraham updated this revision to Diff 47625.Dec 15 2018, 4:38 PM

Improve message

ngraham edited the test plan for this revision. (Show Details)Dec 15 2018, 4:38 PM

Shouldn't the second part of the sentence be in its own line?

It will look much better.

ngraham updated this revision to Diff 48372.Dec 29 2018, 7:59 PM

Add a line break

ngraham edited the test plan for this revision. (Show Details)Dec 29 2018, 8:00 PM
shubham accepted this revision.EditedDec 30 2018, 9:50 AM

Looks good this way round. Wait for @apol's comments though. I have another idea, to justify the text .

This revision is now accepted and ready to land.Dec 30 2018, 9:50 AM
ngraham updated this revision to Diff 48408.Dec 30 2018, 5:14 PM

"Could not" -> "Unable to"

ngraham updated this revision to Diff 48439.Dec 31 2018, 11:45 AM

Add an icon per VDG suggestion

ngraham edited the summary of this revision. (Show Details)Dec 31 2018, 11:48 AM
ngraham edited the test plan for this revision. (Show Details)
ngraham updated this revision to Diff 48440.Dec 31 2018, 11:52 AM

Tighten up the wording a tiny bit

rooty added a subscriber: rooty.Dec 31 2018, 11:52 AM

loving the icon, it really stresses the importance of checking whether your internet connection's working without being (too) imposing

ngraham edited the test plan for this revision. (Show Details)Dec 31 2018, 11:53 AM

Looking nice. Not being nitpicky, what's the default behaviour, the icon should be on top or to the free space on the left?

ngraham updated this revision to Diff 48441.Dec 31 2018, 12:02 PM

Rebase on master

Looking nice. Not being nitpicky, what's the default behaviour, the icon should be on top or to the free space on the left?

There is no real rule here. It's more of "what looks good" in a designey sense. :)

Looking nice. Not being nitpicky, what's the default behaviour, the icon should be on top or to the free space on the left?

There is no real rule here. It's more of "what looks good" in a designey sense. :)

Well then it's good, conveying the message without actually the need to read it.

it might work on the left, but i think this is better because it takes up the entire pane, and is important enough to warrant doing so

for example,


versus firefox's


(takes up more room)

in contrast to less 'important' prompts such as



@rooty yeah, it depends on the available space. The main motive should be full up the empty space.
@ngraham Is there any possible representation where we can just eliminate or use up that empty space.

Not really. The text is not long, while the window size is user-adjustible so the empty space area can potentially be very large.

shubham removed a reviewer: shubham.Feb 4 2019, 4:53 AM
This revision now requires review to proceed.Feb 4 2019, 4:53 AM
GB_2 added a subscriber: GB_2.Aug 14 2019, 1:29 PM
GB_2 added inline comments.
discover/qml/BrowsingPage.qml
73

I'd put a dot after "applications" and "connectivity" and capitalize "please".

ngraham updated this revision to Diff 63723.Aug 14 2019, 2:01 PM

Rebase and update message

ngraham edited the test plan for this revision. (Show Details)Aug 14 2019, 2:01 PM
shubham removed a subscriber: shubham.Aug 14 2019, 2:42 PM
ngraham updated this revision to Diff 63734.Aug 14 2019, 3:03 PM

Fix diff

ngraham marked an inline comment as done.Aug 14 2019, 3:22 PM
leinir accepted this revision.Aug 14 2019, 3:26 PM
This revision is now accepted and ready to land.Aug 14 2019, 3:26 PM
This revision was automatically updated to reflect the committed changes.